EDIT - feature request #6925
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate general framework
08/29/2017 05:52 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal

Description

Associated revisions

Revision 8faa9f3b - 08/29/2017 05:57 PM - Patrick Plitzner
ref #6925 Update part titles

Revision b9a45989 - 08/31/2017 01:07 PM - Patrick Plitzner
ref #6925 Update factual data part title

Revision 7f6ce378 - 09/01/2017 04:03 PM - Patrick Plitzner

ref #6925 correctly acces EPartService

Revision e9fa67ee - 09/04/2017 10:25 AM - Patrick Plitzner
ref #6595, #6925 Use EventBroker to keep track of active taxon editor

Revision daObf48a - 09/22/2017 10:53 AM - Patrick Plitzner

ref #6911, #6925 Clear views when selection providing editor is closed

Revision dbc398cf - 09/22/2017 10:53 AM - Patrick Plitzner
ref #6922, #6925 Close editors when reconnecting

Revision ffad4cef - 09/22/2017 01:38 PM - Patrick Plitzner

ref #6925 Pull up selection handler and service

Revision 77373f56 - 09/22/2017 03:40 PM - Patrick Plitzner
ref #6925 Fix potential NPE

Revision c5b0f41a - 09/26/2017 02:32 PM - Patrick Plitzner
ref #6925 Fix part labels for empty views

Revision afe3c62f - 09/26/2017 04:10 PM - Patrick Plitzner

ref #6925 Remove label update depending on selection input

Revision deffae8c - 09/27/2017 03:07 PM - Patrick Plitzner

ref #6925 Fix part initialisation for open handlers

Revision e38f6e78 - 09/29/2017 09:08 AM - Patrick Plitzner

ref #6925 Add non-restore flag to some parts

Revision a8fc75d8 - 10/09/2017 06:03 PM - Patrick Plitzner

ref #6925 Remove |Editorinput implementations
Revision fa8cce45 - 10/11/2017 10:52 AM - Patrick Plitzner
fix #6569, ref #6925 Define e4 product

* move workbench fragments to application model in taxeditor.application

Revision e15965f4 - 10/12/2017 08:49 AM - Patrick Plitzner

ref #6925 Refactor shell and partService acc for navigator and cdm store

Revision 2f351a88 - 10/12/2017 11:51 AM - Patrick Plitzner

ref #6925 Refactor e3 dependencies during connect

Revision 5964be2c - 10/12/2017 04:16 PM - Patrick Plitzner

ref #6925 Inject context into details and supplemental view

Revision 68061e15 - 10/12/2017 05:36 PM - Patrick Plitzner
ref #6925 Set active part in utility class

Revision cf2f4360 - 10/13/2017 07:00 AM - Patrick Plitzner
ref #6925 Migrate getActivePart()

Revision 71b7253e - 10/13/2017 08:57 AM - Patrick Plitzner
ref #6925 Rename utility getter methods

Revision bc330e88 - 10/13/2017 09:03 AM - Patrick Plitzner
ref #6925 Refactor NavigationUtil.isDirty()

Revision b5b429af - 10/15/2017 03:22 PM - Patrick Plitzner

ref #6925 Inject context into operations to allow sync/async execution

Revision 81a7cfb2 - 10/16/2017 02:01 PM - Patrick Plitzner
ref #6925 Migrate getShell utility method

Revision 502f117d - 10/19/2017 02:07 PM - Patrick Plitzner
ref #6925 Compare selection object identity for editing parts

Revision 8¢2f8358 - 10/25/2017 06:17 PM - Patrick Plitzner

ref #6925 Parts with "non-restore" tag are closed when context stops

Revision 3141e5ac - 10/26/2017 09:00 AM - Patrick Plitzner
ref #6925 fix potential NPE

Revision 78c4b063 - 10/27/2017 08:55 AM - Patrick Plitzner
ref #6925 Export element IDs

e move AppModelld classes

Revision b52863af - 10/27/2017 01:15 PM - Patrick Plitzner
ref #6925 Open bulk editor in editor area

Revision aa29d392 - 10/27/2017 01:34 PM - Patrick Plitzner

ref #6925 Open specimen editor in editor area

Revision ecdc831d - 10/27/2017 01:40 PM - Patrick Plitzner
ref #6925 Open PK editor in editor area

Revision 6fd5b6eb - 10/27/2017 04:47 PM - Patrick Plitzner
ref #6925 Fix some FIXME E4 tags

04/10/2024

2/4



Revision 9499bcaa - 10/30/2017 05:21 PM - Patrick Plitzner

ref #6925 Open term editor in editor area

Revision a3c21976 - 10/30/2017 07:42 PM - Patrick Plitzner

ref #6925 Refactor model fragment paths to generic "xpath:/"

Revision 0f993a84 - 10/30/2017 08:06 PM - Patrick Plitzner

ref #6925 Implemente generic CollapseHandler

Revision cc30ce42 - 10/31/2017 12:35 PM - Patrick Plitzner
ref #6925 Add generic ExpandHandler

Revision d6d945d2 - 11/03/2017 09:06 AM - Patrick Plitzner

ref #6925 Set active editor to null if all are closed

Revision b1d0969b - 11/06/2017 08:43 AM - Patrick Plitzner
ref #6568, #6925 Switch product to pure e4
e add navigation part stack

Revision 41¢85b8b - 11/06/2017 10:39 AM - Patrick Plitzner
ref #6568, #6925 Convert PartDescriptors to parts, add to perspectives

Revision c2dc58¢3 - 11/06/2017 11:31 AM - Patrick Plitzner

ref #6925 Open name editors in editor area

Revision 59d8592e - 11/06/2017 12:09 PM - Patrick Plitzner
ref #6925 Add partStackld to OpenPartHandler

Revision ebbcecad - 11/07/2017 10:05 AM - Patrick Plitzner

ref #6925 Fix selection handling for editor parts

Revision f6d64b50 - 11/08/2017 11:04 AM - Patrick Plitzner
ref #6925 Open distribution editor in editor area

Revision 99d4f2d2 - 11/08/2017 11:04 AM - Patrick Plitzner

ref #6925 Open "editors" in editor area

Revision 8ae43ee9 - 11/15/2017 06:11 PM - Patrick Plitzner
ref #6925 Exception handling in OpenPartHandler

Revision fa8cbf0a - 11/17/2017 12:18 PM - Patrick Plitzner
ref #6925 Refactor application model IDs

Revision db2d02a2 - 11/17/2017 01:07 PM - Patrick Plitzner
ref #6925 Make parts closable

Revision d3a48462 - 11/17/2017 05:21 PM - Patrick Plitzner

ref #6925 Refactor application model IDs and placeholders

Revision 76a8b44f - 11/22/2017 09:53 AM - Patrick Plitzner

ref #6925 Dispose conversation and entity session when closing editors

e use session from editor input if provided

Revision 8da3803c - 11/22/2017 10:05 AM - Patrick Plitzner

ref #6925 Dispose conversation and entity session when closing editors
® use session from editor input if provided

Revision 692fd528 - 11/22/2017 11:27 AM - Patrick Plitzner

ref #6925 Set conversation and cdmEntitySession to null for dispose

Revision 16¢8837a - 11/22/2017 11:28 AM - Patrick Plitzner

ref #6925 Set conversation and cdmEntitySession to null for dispose

Revision 07d81268 - 12/20/2017 01:34 PM - Patrick Plitzner
ref #6925 Make model fragment IDs unique

Revision 0c3e5a5d - 02/15/2018 03:35 PM - Patrick Plitzner

ref #6925 Implement utility method to open links in external browser

Revision 31ab3723 - 02/28/2018 03:52 PM - Patrick Plitzner

ref #6925 Use own application model but still launch e3 product

Revision 886d6440 - 02/28/2018 04:09 PM - Patrick Plitzner
ref #6925 Add binding table and context

Revision 92ac65d5 - 03/01/2018 09:42 AM - Patrick Plitzner

ref #6925 Use own application model but still launch e3 product

History

#1 - 05/16/2018 02:12 PM - Patrick Plitzner
- Status changed from New to Closed

- % Done changed from 0 to 100

The E4 migration has been done up to a sufficient state.

#2 - 08/29/2018 12:47 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.1

#3 - 08/29/2018 12:48 PM - Andreas Miuller

- Target version changed from Release 5.1 to Release 5.0
